## procmail.zip

=== Makefile ===
#$Id: Makefile,v 1.76 2001/07/12 01:27:19 guenther Exp $

# BASENAME should point to where the whole lot will be installed
# change BASENAME to your home directory if need be
BASENAME	= /usr
# For display in the man pages
VISIBLE_BASENAME= $(BASENAME)

# You can predefine ARCHITECTURE to a bin directory suffix
ARCHITECTURE	=
#ARCHITECTURE	=.sun4

BINDIR_TAIL	= bin$(ARCHITECTURE)
MANDIR		= $(BASENAME)/man
BINDIR		= $(BASENAME)/$(BINDIR_TAIL)
VISIBLE_BINDIR	= $(VISIBLE_BASENAME)/$(BINDIR_TAIL)
# MAN1SUFFIX for regular utility manuals
MAN1SUFFIX	=1
# MAN5SUFFIX for file-format descriptions
MAN5SUFFIX	=5
MAN1DIR		= $(MANDIR)/man$(MAN1SUFFIX)
MAN5DIR		= $(MANDIR)/man$(MAN5SUFFIX)

# Uncomment to install compressed man pages (possibly add extra suffix
# to the definitions of MAN?DIR and/or MAN?SUFFIX by hand)
# MANCOMPRESS = compress

############################*#
# Things that can be made are:
#
# help (or targets)	Displays this list you are looking at
# init (or makefiles)	Performs some preliminary sanity checks on your system
#			and generates Makefiles accordingly
# bins			Preinstalls only the binaries to ./new
# mans			Preinstalls only the man pages to ./new
# all			Does both
# install.bin		Installs the binaries from ./new to $(BINDIR)
# install.man		Installs the man pages from ./new to $(MAN[15]DIR)
# install		Does both
# recommend		Show some recommended suid/sgid modes
# install-suid		Impose the modes shown by 'make recommend'
# clean			Attempts to restore the package to pre-make state
# realclean		Attempts to restore the package to pre-make-init state
# deinstall		Removes any previously installed binaries and man
#			pages from your system by careful surgery
# autoconf.h		Will list your system's anomalies
# procmail		Preinstalls just all procmail related stuff to ./new
# formail		Preinstalls just all formail related stuff to ./new
# lockfile		Preinstalls just all lockfile related stuff to ./new
# setid			Creates the setid binary needed by the SmartList
#			installation
######################*#

# Makefile.0 - mark, don't (re)move this, a sed script needs it

LOCKINGTEST=__defaults__

LOCKINGTEST=/tmp .	# Uncomment and add any directories you see fit.
#			If LOCKINGTEST is defined, autoconf will NOT
#			prompt you to enter additional directories.
#			See INSTALL for more information about the
#			significance of the locking tests.

########################################################################
# Only edit below this line if you *think* you know what you are doing #
########################################################################

LOCKINGTEST=100	# Uncomment (and change) if you think you know
#			it better than the autoconf lockingtests.
#			This will cause the lockingtests to be hotwired.
#			100	to enable fcntl()
#			010	to enable lockf()
#			001	to enable flock()
#			Or them together to get the desired combination.

# Optional system libraries we search for
SEARCHLIBS = -lm -ldir -lx -lsocket -lnet -linet -lnsl_s -lnsl_i -lsun \
 -lgen -lsockdns
#			-lresolv	# not really needed, is it?

# Informal list of directories where we look for the libraries in SEARCHLIBS
LIBPATHS=/lib /usr/lib

GCC_WARNINGS = -O2 -pedantic -Wreturn-type -Wunused -Wformat -Wtraditional \
 -Wpointer-arith -Wconversion -Waggregate-return \
 #-Wimplicit -Wshadow -Wid-clash-6 #-Wuninitialized

# The place to put your favourite extra cc flag
CFLAGS0 = $(RPM_OPT_FLAGS) #$(GCC_WARNINGS)
LDFLAGS0= 
# Read my libs :-)
LIBS=

CFLAGS1 = $(CFLAGS0) #-posix -Xp
LDFLAGS1= $(LDFLAGS0) $(LIBS) #-lcposix

####CC	= cc # gcc
# object file extension
O	= o
RM	= /bin/rm -f
MV	= mv -f
LN	= ln
BSHELL	= /bin/sh
INSTALL = cp
DEVNULL = /dev/null
STRIP	= strip
MKDIRS	= new/mkinstalldirs

SUBDIRS = src man
BINSS	= procmail lockfile formail mailstat
MANS1S	= procmail formail lockfile
MANS5S	= procmailrc procmailsc procmailex

# Possible locations for the sendmail.cf file
SENDMAILCFS = /etc/mail/sendmail.cf /etc/sendmail.cf /usr/lib/sendmail.cf

# Makefile - mark, don't (re)move this, a sed script needs it

all: init
	$(MAKE) make $@

make:
	@$(BSHELL) -c "exit 0"

.PRECIOUS: Makefile

init:
	$(BSHELL) ./initmake $(BSHELL) "$(SHELL)" "$(RM)" "$(MV)" "$(LN)" \
 "$(SEARCHLIBS)" \
 "$(LIBPATHS)" \
 $(DEVNULL) "$(MAKE)" $(O) \
 "$(CC)" "$(CFLAGS1)" "$(LDFLAGS1)" "$(BINSS)" \
 "$(MANS1S)" \
 "$(MANS5S)" "$(SUBDIRS)" \
 "$(VISIBLE_BINDIR)" \
 "$(STRIP)"

makefiles makefile Makefiles Makefile: init
	@$(BSHELL) -c "exit 0"

help target targets \
bins mans install.bin install.man install recommend install-suid clean setid \
realclean veryclean clobber deinstall autoconf.h $(BINSS) multigram: init
	$(MAKE) make $@

=== debian/changelog ===
procmail (3.22-8) unstable; urgency=low

  * Fixed strange formail -l behaviour when there is a Content-Length: header.
    Thanks a lot to Henning Makholm for the patch (Closes: #217853).

 -- Santiago Vila <sanvila@debian.org>  Mon,  3 Nov 2003 20:01:24 +0100

procmail (3.22-7) unstable; urgency=low

  * Fixed bad nroff syntax in procmailrc(5), closes: #147173.
  * Added missing newline in procmail(1), closes: #180477.

 -- Santiago Vila <sanvila@debian.org>  Mon, 10 Mar 2003 00:09:20 +0100

procmail (3.22-6) unstable; urgency=low

  * Standards-Version: 3.5.8.

 -- Santiago Vila <sanvila@debian.org>  Thu, 26 Dec 2002 18:27:08 +0100

procmail (3.22-5) stable; urgency=medium

  * Patched pipes.c to fix a memory allocation bug (Closes: #171514).

 -- Santiago Vila <sanvila@debian.org>  Thu, 26 Dec 2002 18:09:38 +0100

procmail (3.22-4) unstable; urgency=low

  * Fixed a typo in procmail(1). Patch by the author (Closes: #142983).

 -- Santiago Vila <sanvila@debian.org>  Tue, 16 Apr 2002 19:16:20 +0200

procmail (3.22-3) unstable; urgency=medium

  * Fixed off-by-one bug in procmail.c which made the raw flag not to be
    cleared properly. Thanks to Gregory Stark (Closes: #134341).

 -- Santiago Vila <sanvila@debian.org>  Sun, 17 Feb 2002 16:43:02 +0100

procmail (3.22-2) unstable; urgency=medium

  * Modified mailfold.c to fix a segfault problem. Patch by the author.
  * The system-wide mail directory is /var/mail as per policy.

 -- Santiago Vila <sanvila@debian.org>  Thu, 29 Nov 2001 09:39:04 +0100

procmail (3.22-1) unstable; urgency=low

  * New upstream release, which uses the `standard' format for Maildir
    filenames and retries on name collision. It also contains some
    bug fixes from the 3.23pre snapshot dated 2001-09-13.
  * Removed `sendmail' from the Recommends field, since we already
    have `exim' (the default Debian MTA) and `mail-transport-agent'.
  * Removed suidmanager support. Conflicts: suidmanager (<< 0.50).
  * Added support for DEB_BUILD_OPTIONS in the source package.
  * README.Maildir: Do not use locking on the example recipe,
    since it's wrong to do so in this case.

 -- Santiago Vila <sanvila@debian.org>  Wed, 21 Nov 2001 09:40:20 +0100

procmail (3.15.2-1) stable; urgency=high

  * New upstream release, with improved security and robustness involving
    signal handlers. Author recommends upgrading to this version on
    any system where it is installed setuid or setgid.
  * This release fixes also Bug #108417: procmail -p -m resets PATH.

 -- Santiago Vila <sanvila@debian.org>  Thu, 30 Aug 2001 20:05:06 +0200

procmail (3.15.1-4) unstable; urgency=low

  * Don't add an extra newline when delivering to a Maildir folder.
    Please note that the MTA may still add a newline on their own.
    Exim users should check the `suffix' variable, for example.
    Patch by the author. Closes: #78623.

 -- Santiago Vila <sanvila@debian.org>  Sat, 14 Apr 2001 17:18:29 +0200

procmail (3.15.1-3) unstable; urgency=low

  * Clarified formail -X behaviour, patch by the author (Closes: #77388).
  * Updated QuickStart.

 -- Santiago Vila <sanvila@debian.org>  Sun, 25 Mar 2001 10:45:56 +0200

procmail (3.15.1-2) unstable; urgency=low

  * Fixed lockfile -l endless loop (Closes: #82006). Patch by the author.

 -- Santiago Vila <sanvila@debian.org>  Sun, 28 Jan 2001 19:44:49 +0100

procmail (3.15.1-1) unstable; urgency=low

  * New upstream release. A race to create the mailspool would bounce one of
    the messages due to an internal error.

 -- Santiago Vila <sanvila@debian.org>  Mon,  8 Jan 2001 20:09:34 +0100

procmail (3.15-3) unstable; urgency=low

  * Fixed formatting error in procmailrc(5). Patch by the author.
    (Closes: #80437).

 -- Santiago Vila <sanvila@debian.org>  Sun, 31 Dec 2000 17:20:47 +0100

procmail (3.15-2) unstable; urgency=low

  * formail -l is now documented. Patch by the author (Closes: #72275).

 -- Santiago Vila <sanvila@debian.org>  Fri,  1 Dec 2000 19:54:22 +0100

procmail (3.15-1) unstable; urgency=low

  * New upstream release. Maildir support is now built-in.
  * Really change default PATH to "$HOME/bin:/usr/local/bin:/usr/bin:/bin".
  * Modified the note in QuickStart about refiltering an old mail folder.
  * Use SEARCHLIBS="" in debian/rules clean target to speed it up.
  * Modified ft_dotlock in src/foldinfo.h to be in compliance with
    locking policy, following a hint by the author.
  * Removed (versioned) dependency on debianutils, since mailstat
    does not use temporary files anymore.
  * Made the .forward example in procmail(1) not to depend on the build
    environment by modifying src/autoconf so that buggy_SENDMAIL is
    never defined.

 -- Santiago Vila <sanvila@debian.org>  Mon, 28 Aug 2000 12:51:05 +0200

procmail (3.13.1-4) stable; urgency=high

  * Fixed weird formail -rk behavior (patch from the author, backported
    from procmail-3.15). Thanks to Ben Collins for the report.
  * s/smail/exim/ in `Recommends:' field.

 -- Santiago Vila <sanvila@debian.org>  Tue, 22 Aug 2000 13:04:50 +0200

procmail (3.13.1-3) unstable; urgency=medium

  * Standards-Version: 3.1.1
  * Updated location of licenses in copyright file.
  * LOCKINGTEST=100 again, to use fcntl() and dot-locking, as required by
    latest policy.

 -- Santiago Vila <sanvila@ctv.es>  Wed,  1 Dec 1999 12:37:35 +0100

procmail (3.13.1-2) unstable; urgency=low

  * Modified procmail(1) and QuickStart to reflect the fact that exim does
    not accept the exec keyword in .forward files (Bugs #33460 and #37771).
  * Modified formail to recognize exim's Envelope-To: header (Bug#40718).
    Patch by Philip Guenther.
  * Standards-Version: 3.0.0.

 -- Santiago Vila <sanvila@ctv.es>  Mon, 19 Jul 1999 20:09:25 +0200

procmail (3.13.1-1) stable unstable; urgency=high

  * New upstream release, 3.13 missed a couple possible overflows.
  * Applied `procmail-locking.patch' from Bruce Guenter, since
    no directory delivery mechanism requires locking (Bug #35210).



=== debian/control ===
Source: procmail
Section: mail
Priority: standard
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.6.1

Package: procmail
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50)
Recommends: exim | mail-transport-agent | fetchmail
Description: Versatile e-mail processor
 Can be used to create mail-servers, mailing lists, sort your incoming
 mail into separate folders/files (real convenient when subscribing to one
 or more mailing lists or for prioritising your mail), preprocess your
 mail, start any programs upon mail arrival (e.g. to generate different
 chimes on your workstation for different types of mail) or selectively
 forward certain incoming mail automatically to someone.

=== debian/rules ===
#!/usr/bin/make -f

package = procmail
docdir = debian/tmp/usr/share/doc/$(package)

CC = gcc
CFLAGS0 = -g
LDFLAGS0 =
SEARCHLIBS = -lm
STRIP = true

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS0 += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP = strip --remove-section=.comment --remove-section=.note
endif

build:
	$(checkdir)
	$(MAKE) CC="$(CC)" CFLAGS0="$(CFLAGS0)" LDFLAGS0="$(LDFLAGS0)" \
		SEARCHLIBS="$(SEARCHLIBS)"
	touch build

clean:
	$(checkdir)
	rm -f build
	-$(MAKE) realclean SEARCHLIBS=""
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)

binary-arch: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)/examples
	cd debian/tmp && install -d usr/bin
	$(MAKE) BASENAME=`pwd`/debian/tmp/usr install.man install-suid
	$(STRIP) debian/tmp/usr/bin/procmail
	$(STRIP) debian/tmp/usr/bin/lockfile
	$(STRIP) debian/tmp/usr/bin/formail
	cp -p debian/copyright $(docdir)
	cp -p debian/changelog $(docdir)/changelog.Debian
	install -m 644 debian/mailstat.1 debian/tmp/usr/man/man1
	cp -p FEATURES HISTORY README FAQ KNOWN_BUGS \
		debian/QuickStart debian/README.Maildir $(docdir)
	cp -p examples/* $(docdir)/examples
	cd $(docdir)/examples && rm -f dirname mailstat procmail-rpm.spec
	cd $(docdir) && gzip -9 HISTORY changelog.Debian
	ln -s HISTORY.gz $(docdir)/changelog.gz
	mv debian/tmp/usr/man debian/tmp/usr/share
	gzip -r9 debian/tmp/usr/share/man
	dpkg-shlibdeps debian/tmp/usr/bin/*
	dpkg-gencontrol -isp
	cd debian/tmp && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	chown -R root:root debian/tmp
	chmod -R go=rX debian/tmp
	chgrp mail debian/tmp/usr/bin/procmail debian/tmp/usr/bin/lockfile
	chmod 6755 debian/tmp/usr/bin/procmail
	chmod 2755 debian/tmp/usr/bin/lockfile
	dpkg --build debian/tmp ..

define checkdir
        test -f src/$(package).c -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
